from experiment import *

def LPR_FiltBW(ch, fmin=0.04, fmax=0.08, qc=None):
    Process('filtbw-ch%s'%ch, 'data-ch%s'%(ch),
        '''
        sgfilterbw phase=zero fc=%f type=highpass
        | sgfilterbw phase=zero fc=%f
        '''%(fmin, fmax)) 
    if qc != None:
        Process('qc-filtbw-ch%s'%ch, 'data-ch%s filtbw-ch%s'%(ch, ch),
            '''
            sgcat -mode=vector ${SOURCES[1:]}
            | sgwindow gmin=%d gmax=%d
            | sgfieldmath data1.rename=filtbw
            '''%(qc, qc))
        Figure('./filt-ch%s.png'%ch, 'qc-filtbw-ch%s'%ch,
            '''
            sggain div.vrms=0.25 div.texp=3
            | sgplotps left.label="Time (ns)"
            ''')
        Figure('./freq-filt-ch%s.png'%ch, 'qc-filtbw-ch%s'%ch,
            '''
            sgfft1 output=magnitude
            | sgstack
            | sggraphps y=data,filtbw filtbw.color=FF0000
              subtitle="Magnitude (dB)" legend=topright
              bottom.label="Frequency (GHz)"
            ''')

LPR_FiltBW('1', fmin=0.04, fmax=0.08, qc=0)
LPR_FiltBW('2A', fmin=0.25, fmax=0.75, qc=0)
LPR_FiltBW('2B', fmin=0.25, fmax=0.75, qc=0)




